> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 답글 숨기기

> 내가 작성한 게시물에 달린 답글을 숨기거나 숨김 해제합니다

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Hide Replies 엔드포인트를 사용하면 인증된 사용자가 작성한 포스트에 대한 답글을 숨기거나 다시 표시할 수 있습니다. 숨겨진 답글은 여전히 볼 수 있지만, 보려면 한 번 더 클릭해야 합니다.

<div id="overview">
  ## 개요
</div>

<CardGroup cols={2}>
  <Card title="답글 숨기기" icon="eye-slash">
    게시물에 달린 답글을 숨깁니다
  </Card>

  <Card title="숨긴 답글 해제" icon="eye">
    이전에 숨긴 답글을 다시 보이게 합니다
  </Card>

  <Card title="대화 제어" icon="comments">
    포스트의 대화를 관리합니다
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## 엔드포인트
</div>

| Method | Endpoint                                                   | Description     |
| :----- | :--------------------------------------------------------- | :-------------- |
| PUT    | [`/2/tweets/:tweet_id/hidden`](/ko/x-api/posts/hide-reply) | 답글 숨기기 또는 숨김 해제 |

***

<div id="how-it-works">
  ## 동작 방식
</div>

답글을 숨기려면 `hidden: true` 값을 포함해 PUT 요청을 보내고, 숨김을 해제하려면 `hidden: false` 값을 포함해 PUT 요청을 보내세요:

```json theme={null}
{
  "hidden": true
}
```

***

<div id="example-hide-a-reply">
  ## 예시: 답글 숨기기
</div>

```bash theme={null}
curl -X PUT "https://api.x.com/2/tweets/1234567890/hidden" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"hidden": true}'
```

<div id="example-response">
  ## 예시 응답
</div>

```json theme={null}
{
  "data": {
    "hidden": true
  }
}
```

***

<div id="getting-started">
  ## 시작하기
</div>

<Note>
  **필수 조건**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project 및 App](/ko/resources/fundamentals/developer-apps)
  * [OAuth 2.0 PKCE](/ko/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2)를 통한 사용자 액세스 토큰
</Note>

<CardGroup cols={2}>
  <Card title="빠른 시작" icon="rocket" href="/ko/x-api/posts/hide-replies/quickstart">
    첫 번째 답글을 숨겨 보기
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/posts/hide-replies">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
